package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BusinessUserMapper;
import com.ruoyi.system.domain.BusinessUser;
import com.ruoyi.system.service.IBusinessUserService;

/**
 * 出差人员信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-06-23
 */
@Service
public class BusinessUserServiceImpl implements IBusinessUserService 
{
    @Autowired
    private BusinessUserMapper businessUserMapper;

    /**
     * 查询出差人员信息
     * 
     * @param id 出差人员信息主键
     * @return 出差人员信息
     */
    @Override
    public BusinessUser selectBusinessUserById(Long id)
    {
        return businessUserMapper.selectBusinessUserById(id);
    }

    /**
     * 查询出差人员信息列表
     * 
     * @param businessUser 出差人员信息
     * @return 出差人员信息
     */
    @Override
    public List<BusinessUser> selectBusinessUserList(BusinessUser businessUser)
    {
        return businessUserMapper.selectBusinessUserList(businessUser);
    }

    /**
     * 新增出差人员信息
     * 
     * @param businessUser 出差人员信息
     * @return 结果
     */
    @Override
    public int insertBusinessUser(BusinessUser businessUser)
    {
        return businessUserMapper.insertBusinessUser(businessUser);
    }

    /**
     * 修改出差人员信息
     * 
     * @param businessUser 出差人员信息
     * @return 结果
     */
    @Override
    public int updateBusinessUser(BusinessUser businessUser)
    {
        return businessUserMapper.updateBusinessUser(businessUser);
    }

    /**
     * 批量删除出差人员信息
     * 
     * @param ids 需要删除的出差人员信息主键
     * @return 结果
     */
    @Override
    public int deleteBusinessUserByIds(Long[] ids)
    {
        return businessUserMapper.deleteBusinessUserByIds(ids);
    }

    /**
     * 删除出差人员信息信息
     * 
     * @param id 出差人员信息主键
     * @return 结果
     */
    @Override
    public int deleteBusinessUserById(Long id)
    {
        return businessUserMapper.deleteBusinessUserById(id);
    }
}
